Skip to main content
GET
/
v2
/
users
/
{userId}
Retrieve a User
curl --request GET \
  --url https://api.sprig.com/v2/users/{userId} \
  --header 'Authorization: <authorization>'
{
  "attributes": {},
  "createdAt": 123,
  "events": [
    {
      "count": 123,
      "createdAt": 123,
      "event": "<string>",
      "updatedAt": 123
    }
  ],
  "externalUserId": "<string>",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sprig.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

API-Key YOUR_API_KEY

Path Parameters

userId
string
required

Id of an existing user.

Response

OK

API V2 user model

attributes
object
createdAt
number
events
object[]
Minimum array length: 1
externalUserId
string | null
Minimum string length: 1
id
string
Minimum string length: 1